summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-09-25 23:02:49 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2019-09-25 23:33:56 +0200
commit52ee446e0e1355d30c02a760dac616e4787c419e (patch)
tree1e2e0a0768bc3a2b50a829949d07c0c424b9e91d /app-misc/ktoblzcheck
parentdev-qt: Drop Qt 5.12.4 (diff)
downloadgentoo-52ee446e0e1355d30c02a760dac616e4787c419e.tar.gz
gentoo-52ee446e0e1355d30c02a760dac616e4787c419e.tar.bz2
gentoo-52ee446e0e1355d30c02a760dac616e4787c419e.zip
app-misc/ktoblzcheck: EAPI-7 bump, fix REQUIRED_USE
Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'app-misc/ktoblzcheck')
-rw-r--r--app-misc/ktoblzcheck/ktoblzcheck-1.49.ebuild6
1 files changed, 3 insertions, 3 deletions
diff --git a/app-misc/ktoblzcheck/ktoblzcheck-1.49.ebuild b/app-misc/ktoblzcheck/ktoblzcheck-1.49.ebuild
index 7b070a25b3a..65786c991f5 100644
--- a/app-misc/ktoblzcheck/ktoblzcheck-1.49.ebuild
+++ b/app-misc/ktoblzcheck/ktoblzcheck-1.49.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
PYTHON_COMPAT=( python2_7 )
inherit python-single-r1
@@ -15,7 +15,7 @@ SLOT="0"
KEYWORDS="amd64 ~ppc ~ppc64 ~sparc x86"
IUSE="python"
-REQUIRED_USE=${PYTHON_REQUIRED_USE}
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
RDEPEND="
app-text/recode
@@ -41,5 +41,5 @@ src_configure() {
src_install() {
default
- find "${ED}" -name '*.la' -exec rm -f {} +
+ find "${D}" -name '*.la' -type f -delete || die
}